Skip to content

Delete User

Request Description

ParameterReference
Request URLhttps://{app_domain}/callback
Request MethodPOST
Request HeaderAuthorization: Bearer

Request Parameters

Parameter NameTypeDescription
idStringUser ID of the enterprise application
  • Additional note: when deletion needs to pass other user object attribute values, configure the attribute to "Always Map" in the IDaaS Enterprise Center at Application -> Object Model -> Application Account Model -> Mapping Definition, and it will be passed downstream.

Response Parameters

Parameter NameTypeDescription
codeStringReturned code; 200 indicates success
messageIntegerError reason description when processing fails

Request Example

  • Request example with message signing and encryption enabled
json
{
	"nonce": "AmgjjEAJbrMzWmUw",
	"timestamp": "15093849585",
	"eventType": "DELETE_USER",
	"data": "6IXEWxQhUa3UqsXHWsDZ5LTAo/xU3zhjq9H3syCuFYDYKg==",
	"signature": "K08yDiTEc094KoccOY+VYLQFxxQ="
}
  • JSON string format after decrypting the request body data
json
{
	"id": "c3a26dd3-27a0-4dec-a2ac-ce211e105f97"
}
  • JSON string format after decrypting the request body data when "Always Map" attributes are configured
json
{
	"id": "c3a26dd3-27a0-4dec-a2ac-ce211e105f97",
	"username": "zhangs",
	"name": "张三2",
	"organizationId": "391551e8-160f-4993-8177-e7b9c5f6b28c",
	"organizationIds": ["391551e8-160f-4993-8177-e7b9c5f6b28c","461551e8-160f-4993-8177-e7b9c5f6b212"],
	"disabled":false,
	"number":123456,
    "switch":false,
    "text":"扩展属性单值文本的值",
    "multivaluedText":["扩展属性多值文本的值1","扩展属性多值文本的值2"]
}
  • Additional note on extended attributes: IDaaS must configure mapping in the Enterprise Center at Resources -> Application -> Object Model -> Application Account Model -> Mapping Definition before the downstream application can receive the defined extended attribute values and information. For how to configure extended attributes and mapping definitions, please refer to Preparation.

Response Example

Status Code: 200

Request succeeded

json
{
	"code": "200",
	"message": "success"
}

BambooCloud IDaaS Open Platform